Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.

Operations

MethodPathSummary / bodyResponses
GET /api/knowledge/goals 200 PagedResultOfKnowledgeGoalDto
POST /api/knowledge/goals 200 KnowledgeGoalDto
DELETE /api/knowledge/goals/{id} 200
GET /api/knowledge/goals/{id} 200 KnowledgeGoalDto
PATCH /api/knowledge/goals/{id} 200 KnowledgeGoalDto
GET /api/knowledge/goals/next 200 KnowledgeGoalDto

Schemas

Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.

KnowledgeGoalDto

PropertyTypeDescription
id int64
guid uuid
topic string
description string
domain KnowledgeDomain
status KnowledgeGoalStatus
priority int32
knowledgeLevel float
searchQueries null,array
tags null,array
researchRunCount int32
lastResearchedAtUtc date-time
projectId int64
createdAtUtc date-time
updatedAtUtc date-time

PagedResultOfKnowledgeGoalDto

PropertyTypeDescription
items* KnowledgeGoalDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean